POST Agents/CustomerService/CreateSession
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/CustomerService/CreateSession
Creates a login session for a CS user
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/CustomerService/CreateSession?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
RemoteIp
| Property Name | Type | Description |
|---|---|---|
| RemoteIp | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: CsSessionKey
| Property Name | Type | Description |
|---|---|---|
| Key | string | The session key created in the login table |
| LoginId | int32 | The id of the login row |
| UserId | int32 | The ejuser id owning this session key |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/CustomerService/CreateSession
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"RemoteIp": "nihil"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Key": "7f3c9e2a-4d5b-6c8a-9e1f-2b3c4d5e6f7a",
"LoginId": 205,
"UserId": 931,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 244
}
}
}